Now that I bought a softmodded Wii, I have some questions

Discussion in 'Wii - Hacking' started by Link5084, Apr 26, 2009.

  1. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    1. It already has Homebrew Channel installed, but does the WAD Manager come with it automatically?
    2. How do I apply IOS patches to games like Madworld to work on the Wii? My Wii is at 3.2U and I like it to stay that way.
     
  2. Gamemaster1379

    Gamemaster1379 GBAtemp Advanced Fan

    Member
    588
    82
    May 5, 2008
    United States
    United States
    1. The Wad Manager is just another app that'd be on the SD card, it wouldn't be installed with the HBC itself. It's not much effort to put it on the SD and run it via Homebrew like you would any other app.

    2. You can either make a copy of the game to DVD and remove the update partition, or more simply, install Preloader and skip update check.
     
  3. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    Where do I get preloader and how does "skip update check" work so that it applies the right IOS to the game?
     
  4. tj_cool

    tj_cool Site dev

    Supervisor
    9,982
    -1
    Jan 7, 2009
    Belgium
    This planet
    You can get preloader here, but you need the IOS version patcher (hosted in the downloads section) to change a games IOS
     
  5. zidane_genome

    zidane_genome My sword has a +2 bleeding... wanna test it out?

    Member
    2,320
    0
    May 21, 2006
    United States
    Preloader --

    Google or wiibrew.org

    How does skip update work? I've explained this before... but here it goes agian...

    Normal setup:
    Insert disc... Wii asks 'hey, what's up disc?' disc 'Yo, not much... hey, I got an update partition, what SystemMenu you on?' Wii 'I'm on 3.2, what ya got for me?' disc 'I got 3.4, so you better update bitch!'

    Update Skipper setup:
    Insert disc... Wii asks 'hey, what's up disc?' disc 'Yo, not much... hey, I got an update partition, what SystemMenu you on?' Wii 'I'm on 3.2, what ya got for me?' disc 'I got 3.4, so you better update bitch!' PRELOADER from behind the door with a gun in the Wii's back 'hey, make him go away before your wife gets hurt!' Wii 'Oh, wait, that's right, I got 3.4 installed already, so, ummm, yea, you can go now'
     
  6. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    So this works EXACTLY like Popsloader on the PSP. What is there to be sure of to not brick the Wii?
     
  7. TheOnlyOneHeFear

    TheOnlyOneHeFear Member

    Newcomer
    46
    0
    Apr 7, 2009
    Haha, nice explanation, 100% accurate [​IMG]
     
  8. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    I found a Backup Launcher that makes games with Error 002 work. So, if I get that then I don't need to get the Preloader?
     
  9. TheOnlyOneHeFear

    TheOnlyOneHeFear Member

    Newcomer
    46
    0
    Apr 7, 2009
    Preloader is for brick protection, you'll still need it to prevent out-of-region updates from running and bricking your Wii
     
  10. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    I see, so dont get Starfall then on 3.2? Use preloader?
     
  11. Nirvana

    Nirvana Member

    Newcomer
    26
    0
    Apr 18, 2009
    United States
    Well, Starfall also prevents disc updates on 3.2, but you will still need to update the IOS to prevent the Error 002.
     
  12. Link5084
    OP

    Link5084 Sword & Shield at your service

    Member
    1,367
    3
    Aug 6, 2008
    United States
    But with Starfall, I can still use it for brick protection and need it to prevent out-of-region updates from running and bricking the Wii? Also should I install GeckoOS with it as well?
     
  13. Stang

    Stang GBAtemp Regular

    Member
    289
    53
    Dec 17, 2008
    United States
    Yes you can, but in all reality preloader is the way to go. Starfall was a one off thing, a single release with no updates. Preloader is still updated, and is a damn fine utility. Why take the Kia Sophia when you can take the Mustang Cobra (I am not partial at all, /cough).

    Here is a list of hacks for preloader

    http://wiibrew.org/wiki/Preloader/hacks